# Generated by Django 4.1.7 on 2023-04-17 12:43

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('pairent_app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='IPAddresses',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ipAddress', models.CharField(max_length=15, validators=[django.core.validators.RegexValidator(regex='^((25[0-5]|(2[0-4]|1\\d|[1-9]|)\\d)\\.?\\b){4}$')], verbose_name='IP адрес')),
            ],
            options={
                'verbose_name': 'IP адрес',
                'verbose_name_plural': 'IP адреса',
            },
        ),
        migrations.AlterModelOptions(
            name='apartament',
            options={'ordering': ['-dateCreate'], 'verbose_name': 'Квартира', 'verbose_name_plural': 'Квартиры'},
        ),
        migrations.AlterField(
            model_name='apartament',
            name='address',
            field=models.CharField(max_length=100, verbose_name='Адрес квартиры'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='bail',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(450000)], verbose_name='Стоимость залога квартиры'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='ceilingHeight',
            field=models.FloatField(validators=[django.core.validators.MaxValueValidator(5)], verbose_name='Высота потолков в метрах'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='dateCreate',
            field=models.DateField(auto_now_add=True, verbose_name='Дата добавления квартиры'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='description',
            field=models.TextField(max_length=300, verbose_name='Описание квартиры'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='floor',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(50)], verbose_name='Этаж квартиры'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='floorHouse',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(50)], verbose_name='Количество этажей в доме'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isAirConditioning',
            field=models.BooleanField(verbose_name='Имеется кондиционер в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isAnimal',
            field=models.BooleanField(verbose_name='Можно с питомцем'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isBathroom',
            field=models.BooleanField(verbose_name='Имеется санузел в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isConcierge',
            field=models.BooleanField(verbose_name='Имеется консьерж в доме'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isElevator',
            field=models.BooleanField(verbose_name='Имеется лифт в доме'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isFreshRepair',
            field=models.BooleanField(verbose_name='Недавно был ремонт в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isFurniture',
            field=models.BooleanField(verbose_name='Имеется мебель в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isGarbageChute',
            field=models.BooleanField(verbose_name='Имеется мусоропровод в доме'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isInternet',
            field=models.BooleanField(verbose_name='Проведен интернет в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isParking',
            field=models.BooleanField(verbose_name='Имеется закрытая парковка у дома'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isRefrigerator',
            field=models.BooleanField(verbose_name='Имеется холодильник в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isTelevision',
            field=models.BooleanField(verbose_name='Имеется телевизор в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isWasher',
            field=models.BooleanField(verbose_name='Имеется стиральная машинка в квартире'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='isChild',
            field=models.BooleanField(verbose_name='Можно с детьми'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='minimumLeasePeriod',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(60)], verbose_name='Минимальный срок аренды в месяцах'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='perimetrs',
            field=models.FloatField(validators=[django.core.validators.MaxValueValidator(250)], verbose_name='Количество квадратных метров'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='phoneNumber',
            field=models.CharField(max_length=16, unique=True, validators=[django.core.validators.RegexValidator(regex='^\\+?1?\\d{8,15}$')], verbose_name='Номер телефона для связи'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='price',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(450000)], verbose_name='Стоимость аренды квартиры за месяц'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='rooms',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(10)], verbose_name='Количество комнат'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='timeToBus',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(60)], verbose_name='Время до ближайшей автобусной остановки в минутах'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='timeToTrain',
            field=models.IntegerField(validators=[django.core.validators.MaxValueValidator(60)], verbose_name='Время до ближайшей Ж/Д станции в минутах'),
        ),
        migrations.AlterField(
            model_name='apartament',
            name='utilitiesPrice',
            field=models.CharField(max_length=100, verbose_name='Стоимость коммунальных услуг'),
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to='photos/%Y/%m/%d')),
                ('apartament', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pairent_app.apartament', verbose_name='Квартира')),
            ],
            options={
                'verbose_name': 'Фотография',
                'verbose_name_plural': 'Фотографии',
            },
        ),
        migrations.AddField(
            model_name='apartament',
            name='views',
            field=models.ManyToManyField(blank=True, related_name='post_views', to='pairent_app.ipaddresses'),
        ),
    ]
